Package org.eclipse.net4j.tcp

## Interface ITCPActiveSelectorListener

-     public interface ITCPActiveSelectorListener

  Call-back that handles the possible calls from a `selector` to an active consumer, usually a `connector`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleConnect​(ITCPSelector selector, java.nio.channels.SocketChannel socketChannel)` |
    `void` | `handleRead​(ITCPSelector selector, java.nio.channels.SocketChannel socketChannel)` |
    `void` | `handleRegistration​(ITCPSelector selector, java.nio.channels.SocketChannel socketChannel)` |
    `void` | `handleWrite​(ITCPSelector selector, java.nio.channels.SocketChannel socketChannel)` |

- - ### Method Detail

    - #### handleRegistration

          void handleRegistration​(ITCPSelector selector,
                                  java.nio.channels.SocketChannel socketChannel)

    - #### handleConnect

          void handleConnect​(ITCPSelector selector,
                             java.nio.channels.SocketChannel socketChannel)

    - #### handleRead

          void handleRead​(ITCPSelector selector,
                          java.nio.channels.SocketChannel socketChannel)

    - #### handleWrite

          void handleWrite​(ITCPSelector selector,
                           java.nio.channels.SocketChannel socketChannel)